<!doctype html>
<html>
<head>
    <title>A New Bridge Authority | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="A New Bridge Authority | Tor Project">
    <meta property="og:description" content="After ten years of volunteer maintenance of Tonga, Tor&#39;s bridge Authority—a piece of critical...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/new-bridge-authority/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        A New Bridge Authority
      </h1>
    <p class="meta">by isis | September 1, 2016</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>After ten years of volunteer maintenance of <a href="https://archive.is/6OjQs" rel="nofollow">Tonga</a>, Tor's bridge Authority—a piece of critical infrastructure within the Tor network—our colleague and friend, Lucky Green, a long time cypherpunk, and free speech and privacy advocate, has decided to step down from this role. Tonga's cryptographic keys will be destroyed this week.  We are incredibly thankful to Lucky for all his support and selfless labour in maintaining a key component of our censorship circumvention efforts, grateful for the years we have spent working with him, and very sorry to see him go.</p>

<p>The Bridge Authority is a simple but essential piece of the Tor Network.  Unlike the other directory authorities, the Bridge Authority does not get a vote in Tor's consensus protocol. Instead, it serves to aggregate relay descriptors which Tor Bridges send to it, checking their cryptographic validity and testing that the Bridges' ORPorts within these descriptors are reachable.  It then sends these descriptors to <a href="https://gitweb.torproject.org/bridgedb.git" rel="nofollow">BridgeDB</a>, which does all the deduplication, cryptographic signature verification (again), stability calculations, pluggable transport argument validation, assignment into the hashring of each Bridge distribution mechanism, and finally <a href="https://bridges.torproject.org" rel="nofollow">distributing the Bridges to Tor clients</a>.</p>

<p><a href="https://extra.torproject.org/blog/2016-09-01-new-bridge-authority/running-bridges-2016-09-01.png" rel="nofollow"><img src="https://extra.torproject.org/blog/2016-09-01-new-bridge-authority/running-bridges-2016-09-01.png" alt="Number of bridges reported by both Tonga and Bifröst during the bridge authority transition period. Graph by Karsten Loesing." width="100%" /></a></p>

<p>This transition does not affect Tor users, regardless of whether or not Bridges are used to connect to the Tor network.  However, <strong>it is extremely important that relay operators running Bridges upgrade to <a href="https://blog.torproject.org/blog/tor-0287-released-important-fixes" rel="nofollow">tor-0.2.8.7</a> or <a href="https://blog.torproject.org/blog/tor-0292-alpha-released-important-fixes" rel="nofollow">tor-0.2.9.2.-alpha</a></strong>, which contains a patch to replace Tonga with the new Bridge Authority.  Bridges which do not upgrade will cease to be distributed to new clients; however, clients which have connected to your Bridge previously will still be able to connect (at least until your Bridge's IP address, port, or fingerprint changes).   </p>

<h2><cite>"The same thing, but made of rainbows and on fire."</cite></h2>

<p>As a replacement for Tonga, I am happy to announce that <a href="https://greenhost.net/" rel="nofollow">Greenhost</a> has donated hardware and hosting for the <a href="https://archive.is/guZ03" rel="nofollow">new Bridge Authority, Bifröst</a>. Bifröst is <a href="https://en.wikipedia.org/wiki/Bifr%C3%B6st" rel="nofollow">a Norse mythological bridge</a> that connects Midgard, the mortal realm, and Asgard, the realm of the gods, and is described <a href="http://www.sacred-texts.com/neu/poe/poe06.htm" rel="nofollow">in the poem <em>Grímnismál</em></a> within <a href="https://en.wikipedia.org/wiki/Poetic_Edda" rel="nofollow">the Poetic Edda</a> as a burning bridge, constructed out of a rainbow whose end lies upon Himinbjorg, or "Heaven's cliffs." The name was suggested by both our colleagues <a href="https://twitter.com/flexlibris" rel="nofollow">Alison Macrina</a> of the <a href="https://libraryfreedomproject.org/" rel="nofollow">Library Freedom Project</a> and <a href="https://twitter.com/gamamb" rel="nofollow">Moritz Bartl</a> of <a href="https://www.torservers.net/" rel="nofollow">Torservers.net</a>.  Despite the personal temptation to follow <a href="https://twitter.com/nickm_tor" rel="nofollow">Nick Mathewson</a>'s suggestion to christen it after <a href="https://en.wikipedia.org/wiki/Golden_Gate_Bridge" rel="nofollow">that iconic symbol of my home</a>, I could not help but name it Bifröst, because why go with some boring normal thing, when you could have the same thing, <em>but made of rainbows and on fire</em>. RAINBOWS.  FIRE.  Clear choice.</p>

<p>The Tor Project is incredibly thankful to <a href="https://greenhost.net" rel="nofollow">Greenhost</a> for their generous donation of hardware, hosting, and bandwidth.  In particular, I am thankful to my colleagues at Greenhost, <a href="https://twitter.com/sachavg" rel="nofollow">Sacha von Geffen</a> and <a href="https://twitter.com/DrWhax" rel="nofollow">Jurre van Bergen</a>, for all the work they put into the organisation, collaboration, and technical efforts in setting the server up quickly. Working with Greenhost, as always, is a pleasure, and I would give my highest recommendations for Greenhost to those seeking an ethical, friendly, and experienced hosting provider.  </p>

<h2>Future Research and Hacking</h2>

<p>Moving forward, there are several improvements to these systems which could be made, some requiring further research.</p>

<ol>
<li>We currently don't have any mechanism for testing the bandwidth capacity of bridge relays.  Additional design complications may arise when Bridges have their own Guard relays (<a href="https://bugs.torproject.org/7144" rel="nofollow">#7144</a>), e.g. causing fast Bridges which select slower Guards to not utilize their full capacity.  This might be navigated by adding support for bridges to do a self-bandwidth test before selecting a guard node.</li>
<li>We also don't currently have anything that tests the reachability of the address/port for any of a Bridge's pluggable transports.  Our <a href="https://trac.torproject.org/projects/tor/ticket/5028" rel="nofollow">previous</a> <a href="https://trac.torproject.org/projects/tor/ticket/6414" rel="nofollow">attempts</a> at a distributed/automated Bridge reachability testing system lead me to believe that there is no way to both reliably and securely, i.e., without literally burning the Bridge by attracting a censor's attention to it, test reachability in a distributed manner.  Add on top a game of Russian roulette by mixing in N different pluggable transports with varying indistinguishability, authentication, and security properties merely compounds the issue, adding to the likelihood that the secrecy of the best transport a Bridge provides is reduced to that of its worst.  That said, thorough analysis of the risks of a centralised system should be made, and there are likely other alternatives. For example, one might attempt to build a system which heuristically crowdsources this information from clients.</li>
<li>There's no legitimate reason to have the Bridge Authority and BridgeDB be separate systems. It would make more sense to break apart the components into those which
<ul>
<li>receive descriptors</li>
<li>conduct reachability tests</li>
<li>archive all descriptors</li>
<li>access archived descriptors for which Bridges may currently be distributed to clients</li>
<li>distribute Bridges to clients in some manner.</li>
</ul>
</li>
<li>Decentralise the Bridge Authority/BridgeDB systems without simply turning a single point-of-failure into multiple points-of-failure.</li>
</ol>

<p>Researchers and hackers interested in these problems are welcome and encouraged to contribute.  If these problems interest you (or your sufficiently bright, self-directed, and motivated students!), please feel encouraged to contact <a href="mailto:isis at torproject dot org" rel="nofollow">me</a> and/or our Research Director, <a href="mailto:arma at torproject dot org" rel="nofollow">Roger Dingledine</a> to discuss ideas and projects moving forward.</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/circumvention">
          circumvention
        </a>
      </li><li>
        <a href="../category/research">
          research
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-204255"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204255" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 01, 2016</p>
    </div>
    <a href="#comment-204255">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204255" class="permalink" rel="bookmark">The Ubuntu Xenial package is</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The Ubuntu Xenial package is still 0.2.7.6.  Are new packages going to be forthcoming or should I build from source?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-204259"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204259" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  isis
  </article>
    <div class="comment-header">
      <p class="comment__submitted">isis said:</p>
      <p class="date-time">September 01, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-204255" class="permalink" rel="bookmark">The Ubuntu Xenial package is</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-204259">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204259" class="permalink" rel="bookmark">Yikes, that&#039;s quite a bit</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yikes, that's quite a bit out of date! Unfortunately, we have little to no say in the packaging for distros, which is why we recommend Debian and Ubuntu users to get updates from our repository: <a href="https://www.torproject.org/docs/debian.html.en" rel="nofollow">https://www.torproject.org/docs/debian.html.en</a>.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-204272"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204272" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 01, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to isis</p>
    <a href="#comment-204272">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204272" class="permalink" rel="bookmark">Got it; I&#039;ve re-pointed my</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Got it; I've re-pointed my apt sources and got the new newness.</p>
<p>Thanks for all the good work!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-205227"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-205227" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 06, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to isis</p>
    <a href="#comment-205227">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-205227" class="permalink" rel="bookmark">Actually, what is written on</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Actually, what is written on that page is "that this might not always give you the latest stable Tor version, but you will receive important security fixes."  Last part not really true, right?  Debian stable repos are still on 0.2.5.12 (April 2015), many moons (and major security fixes) ago.</p>
<p>Please consider updating the documentation to recommend Debian users install from your repo instead and not from debian stable repo.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-204273"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204273" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 01, 2016</p>
    </div>
    <a href="#comment-204273">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204273" class="permalink" rel="bookmark">You&#039;re all modern Aesir!</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You're all modern Aesir! Come to Vanaheim via Asgarth some time and we'll drink mead.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-204274"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204274" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 01, 2016</p>
    </div>
    <a href="#comment-204274">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204274" class="permalink" rel="bookmark">The dutch government is</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The dutch government is almost discussing an upgrade of a law which gives them the right to real time wiretap every possible digital communication in holland.<br />
That is all the communication of people in holland and all the communication that is trespassing holland via ams-ix amsterdam internet exchange. Tor project should consider to stop facilitating tor exit nodes and other tor services in holland and the uk because the integrity of communication and tornetwork can not be guaranteed anymore. Nobody knows how many tornodes are already hosted or wiretapped by these governments.<br />
Consider countries that are more to trust.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-204286"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204286" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  isis
  </article>
    <div class="comment-header">
      <p class="comment__submitted">isis said:</p>
      <p class="date-time">September 01, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-204274" class="permalink" rel="bookmark">The dutch government is</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-204286">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204286" class="permalink" rel="bookmark">&quot;Almost discussing an</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>"Almost discussing an upgrade of a law" sounds a long ways away from legalised. Does this law (and its amendment) have a name? Is there somewhere I might read more?</p>
<p>Also, the design of Tor is such that even if an exit node is wiretapped, the eavesdropper should not be able to learn who the traffic originated from. I'll refer you to the EFF's excellent, interactive infographic for further clarification on who can see/know what information depending on whether you're using Tor or HTTPS, or both: <a href="https://www.eff.org/pages/tor-and-https" rel="nofollow">https://www.eff.org/pages/tor-and-https</a>.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-204492"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204492" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 02, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to isis</p>
    <a href="#comment-204492">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204492" class="permalink" rel="bookmark">&quot;Is there somewhere I might</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>"Is there somewhere I might read more?" </p>
<p>These links have information about the recently leaked "draft Dutch bill". </p>
<p>MONTH: August 2016, Matthijs R. Koot's notebook, Personal blog<br />
"U.K.: Bulk Powers for for MI5, MI6 and GCHQ – Executive Summary of the Independent Bulk Powers Review", Posted on 2016-08-22:<br />
<a href="https://blog.cyberwar.nl/2016/08/" rel="nofollow">https://blog.cyberwar.nl/2016/08/</a> &gt;&gt; Embedded link "draft Dutch bill":<br />
<a href="https://blog.cyberwar.nl/2015/07/dutch-intelligence-bill-proposes-non-specific-bulk-interception-powers-for-any-form-of-telecom-or-data-transfer-incl-domestic/" rel="nofollow">https://blog.cyberwar.nl/2015/07/dutch-intelligence-bill-proposes-non-s…</a> </p>
<p>4 May 2016, BITS OF FREEDOM, VERDEDIGT DIGITALE BURGERRECHTEN<br />
"DUTCH DRAGNET SURVEILLANCE BILL LEAKED: OUR ANALYSIS":<br />
<a href="https://www.bof.nl/2016/05/04/dutch-dragnet-surveillance-bill-leaked/" rel="nofollow">https://www.bof.nl/2016/05/04/dutch-dragnet-surveillance-bill-leaked/</a> </p>
<p>- in spatium</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-204755"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204755" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  isis
  </article>
    <div class="comment-header">
      <p class="comment__submitted">isis said:</p>
      <p class="date-time">September 03, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-204492" class="permalink" rel="bookmark">&quot;Is there somewhere I might</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-204755">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204755" class="permalink" rel="bookmark">Hey, thanks for the links.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hey, thanks for the links. While these new developments in the interpretation of the Dutch surveillance laws by Minister of the Interior Plasterk are alarming, in the case of the Bridge Authority, this doesn't really get the Dutch intelligence services anything. The descriptor uploads from the bridges are "tunneled", that is, sent through another (public) Tor relay to the Bridge Authority. Therefore, what the Dutch government sees in this case is a lot of public Tor relays connecting to the Bridge Authority.</p>
<p>These new legal developments are nonetheless unfortunate and grossly unjust—not only that!—but downright dangerous to Dutch citizens who require privacy from prying third-parties, foreign government intelligence services, and petty criminals such as identity thieves. I trust that our friends in the Netherlands—such as Bits of Freedom and other computer security and privacy experts—will continue to protest these developments, offer their expert advice to the Dutch cabinet, and remind Plasterk that his duties as Minister of the Interior and Kingdom Relations include defending the Constitutional rights of the Dutch people, which includes (in <a href="https://www.rijksoverheid.nl/documenten/brochures/2008/10/20/the-constitution-of-the-kingdom-of-the-netherlands-2008" rel="nofollow">articles 10 and 11 of the Dutch Constitution</a>) strong definitions of the rights to privacy and inviolability, including protections against search and seizure of telecommunications data. Additionally, article 10 point 3 guarantees <cite>"the rights of persons to be informed of data recorded concerning them and of the use that is made thereof,"</cite> so it seems like the Dutch government should reasonably be required to inform me and/or bridge operators and/or bridge users, should they decide to record information on the Bridge Authority. I would be happy to stand with other privacy activists in the Netherlands to hold the Minister of the Interior to his duties to uphold the Dutch Constitution.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-204814"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204814" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 03, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to isis</p>
    <a href="#comment-204814">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204814" class="permalink" rel="bookmark">&gt; Hey, thanks for the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; Hey, thanks for the links.</p>
<p>Plus one.</p>
<p>Reason for cautious optimism: very often the authors of bills ensure that the first draft is a "wish list" in which they ask for the Moon.   If there is significant political opposition, very often what they wind up with is nothing, or at most one small corner of some half forgotten crater on the limb of that which makes the werewolves howl.</p>
<p>I hope Tor users in Holland will organize a petition addressed to lawmakers, or at least an open letter of protest.  Please see CitizenLabs for many examples of why human rights workers, pro-democracy campaigners, and environmentalists need unbackdoored protective software such as Tor.  We are the good guys; the Gammas and Hacking Team malware authors and the torturers are the bad guys, and most dutch politicians can probably recognize this if it is clearly explained.  (Obviously you try to reach the moderates, not the neo-nazi fringe.)</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div><a id="comment-204509"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204509" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 02, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-204274" class="permalink" rel="bookmark">The dutch government is</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-204509">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204509" class="permalink" rel="bookmark">Like which other countries</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Like which other countries would be left? Not the 5-eyes, not the 9-eyes, not the 14-eyes. Not most of South-America, not most of Asia.</p>
<p>Tor doesn't protect against an global adversary. You have to be a pretty big target for them to exploit you though.. Cost/balance, etc.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-204761"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204761" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 03, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-204509" class="permalink" rel="bookmark">Like which other countries</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-204761">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204761" class="permalink" rel="bookmark">Finland is increasingly well</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Finland is increasingly well connected with undersea cables (for its population lol) and still lacks the non-transparent money-swallowing mass surveillance apparatus of neighboring Sweden (FRA). Sadly, much of Finnish traffic passes through Sweden, though.</p>
<p>Of course, the gov't and military intelligence circles are complaining about this "omission" but there's some time left to push packets with the *eyes at least a few hops away. This place could definitely use some more high speed relays.</p>
<p>I just went ahead asked one of the few (semi)sanely priced Finnish cloud providers, Upcloud, if they accept Tor middles/relays and/or exits. Let's see if we get an answer. At least, Upcloud has a reasonably good privacy policy, with their legal/billing entity being based in Finland even though they have data centers around the world.</p>
<p>I know VPSes are overrepresented with DO and OVH, but some smaller hosts in remaining non *eyes countries could at least add some diversity.</p>
<p><a href="https://twitter.com/apecat/status/772091351525711872" rel="nofollow">https://twitter.com/apecat/status/772091351525711872</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-205488"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-205488" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 07, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-204761" class="permalink" rel="bookmark">Finland is increasingly well</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-205488">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-205488" class="permalink" rel="bookmark">Another reason to prefer</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Another reason to prefer Finland, from:</p>
<p><a href="https://lists.torproject.org/pipermail/tor-talk/2016-September/042190.html" rel="nofollow">https://lists.torproject.org/pipermail/tor-talk/2016-September/042190.h…</a></p>
<p>&gt; The Finnish Communications Regulatory Authority recommends using encryption<br />
and privacy tools, such as OpenPGP, Signal and Tor :) </p>
<p>Plus Finland has geothermal power and natural cooling, so the perfect locale for green energy servers.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-204520"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204520" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 02, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-204274" class="permalink" rel="bookmark">The dutch government is</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-204520">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204520" class="permalink" rel="bookmark">&gt; The dutch government is</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; The dutch government is almost discussing an upgrade of a law which gives them the right to real time wiretap every possible digital communication in holland.</p>
<p>Reference?</p>
<p>Unfortunately, it is all too true that there are in every country those who want to oppress their fellow citizens by constructing a technologically sophisticated neo-Stasi.</p>
<p>But why do you ignore the possibility that a political danger (a move to enact a terrible law) cannot be countered by some lobbying of your own?  Surely in Holland there are many who are willing to speak out against such a proposed law?  Some who have not forgotten the terrible deeds of the Gestapo in Holland, committed under cover of Nazi "emergency laws"?</p>
<p>Tor Project and Tor users face multiple dangers everywhere in the world: technological, legal, political.  And these dangers seem to be multiplying like frenetic rabbits.  But we must persevere, and we cannot neglect any category of response to a new danger.  We must respond to a threatening proposed new law anywhere where Tor users live with every tool at our disposal.  That entails battling in the political arena as well as the technological arena.  </p>
<p>Our many enemies are throwing at us everything they possess, and we must respond in kind.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-204529"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204529" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 02, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-204274" class="permalink" rel="bookmark">The dutch government is</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-204529">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204529" class="permalink" rel="bookmark">&gt; Tor project should</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; Tor project should consider to stop facilitating tor exit nodes and other tor services in holland and the uk because the integrity of communication and tornetwork can not be guaranteed anymore. </p>
<p>This proposal reminds me of an oddly counterproductive call for a "strike" by Tor relay operators to protest the firing of a former TP employee who can perhaps not be named in this blog.</p>
<p>(Intriguing rumor: Guccifer 2.0 uncovered a document showing that the US State Department funded Russian internet trolls/hackers to "disrupt" Tor and to perform Gamergate actions.  This may explain President Putin's oddly phrased disclaimer about state-sponsored hacking, which seemed to acknowledge extensive cyberattacks by Russians while denying that his government directly pays them.  Could the US State Department or CIA have paid Russians to hack the US Congress or a former Secretary of State?  Don't see why not.)</p>
<p>Yes, intelligence agencies such as GCHQ actively target the Tor network, but the latest reliable information in the public domain (the Snowden leaks) suggest that as of spring 2013, they were having very little luck attacking specific unknown Tor users.  (Maybe the Russians have had more success?)  But regardless, we cannot and will not rest easy.  But neither can we injure ourselves by abandoning the only thing we have which we have good reason to think works at least some of the time to protect at least some of the People from at least some of the bad guys, namely Tor.</p>
<p>Also, while it is true that GCHQ enjoy easy physical access to IXs in the UK and also to power lines in the UK (c.f. covert power line carrier transmission hijackings), they can and do hack IXs in other countries, and FVEY (and Russian) special forces can at least temporarily gain access to power grids in other countries.  So there is not really much reason to think that simply banning Tor nodes which are physically located in certain countries will help make Tor safer.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-204677"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204677" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 03, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-204274" class="permalink" rel="bookmark">The dutch government is</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-204677">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204677" class="permalink" rel="bookmark">A few remarks.
AFAIK Tonga</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>A few remarks.</p>
<p>AFAIK Tonga was hosted also in The Netherlands, so hosting @ Greenhosting is therefor no change. The tor.dizum.com directory server also is hosted in The Netherlands. So a seizable part of the tor infastructure is located in NL.</p>
<p>Running an Exit server you basically have two things to worry about: </p>
<p>First: liability under criminal and/or civil laws(copyrights fi), this impacts you directly.</p>
<p>Second: interception of traffic by (local) authorities, however this mostly does not happen with the knowledge of the operator so this is outside his influence/control.</p>
<p>The first issue, is not really an issue in The Netherlands, and therefore NL is a perfect location for tor services. </p>
<p>The second issue is (currently) not and issue either. I've worked for a hoster that hosts a lost of tor exit nodes, and these servers have never been tapped. LEOs know how the tor infra work and who is responsible for the traffic (not the operator). </p>
<p>Tapping (exit) traffic should not be an issue in the tor network, (it doesnot interfere with the tor network itself) so if this is your worry let me include some remarks:</p>
<p>France an Germany have an issue with Encryption, encryption is the core of the tor network, any legislation to have encryption weakened, will involve tor operators in these countries.</p>
<p>If encryption cannot be defeated, the next option will be mandatorty back-doors or equipment hacking laws. This means LEO's ad NSA type organisations will have the legal means to either force you to install software or install it themselves with your knowledge. This means they can peek -INSIDE- the tor network. </p>
<p>So if your main worry is wire tapping, please reconsider.</p>
<p>[u]</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-204292"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204292" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 01, 2016</p>
    </div>
    <a href="#comment-204292">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204292" class="permalink" rel="bookmark">Why was there no word on why</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Why was there no word on why Lucky Green left?<br />
What about the "Tor Project General Strike" that was posted on the internet (which I am not a fan of, as it leaves whisteblowers and other users who really need tor with less cover traffic)?</p>
<p>Glad to hear that you have replaced the bridge, but I really think you guys should try to fix the community, too.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-204760"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204760" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  isis
  </article>
    <div class="comment-header">
      <p class="comment__submitted">isis said:</p>
      <p class="date-time">September 03, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-204292" class="permalink" rel="bookmark">Why was there no word on why</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-204760">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204760" class="permalink" rel="bookmark">&gt; Why was there no word on</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><cite>&gt; Why was there no word on why Lucky Green left?</cite></p>
<p><a href="https://trac.torproject.org/projects/tor/ticket/19690" rel="nofollow">Here's Lucky's explanation for leaving</a>. Lucky is a very private person, and I do not have any further insight into his reasoning than that statement.  I assume that if Lucky had wanted to say more, he would have done so.</p>
<p><cite>&gt; What about the "Tor Project General Strike" that was posted on the internet (which I am not a fan of, as it leaves whisteblowers and other users who really need tor with less cover traffic)?</cite></p>
<p>I agree that the original goal of #torstrike—removing relays from the network—was dangerous for users. It seems the #torstrike campaign was started by someone who is quite angry with The Tor Project for some unknown reason, but that their frankly asinine ideas quickly backfired upon them to instead turn into a "strike against censorship". I'm very proud of the numerous members of the Tor Community who worked to turn #torstrike into a positive movement towards growing the Tor Network and making the internet a safer place for vulnerable people such as whistleblowers, journalistic sources, and political dissidents. While I cannot speak for Lucky, and I know nothing more of his reasons for leaving, I doubt that anyone who has been a contributor to The Tor Project for so many years could ever support a campaign which seeks to diminish the privacy and anonymity protections of those users in need. I suspect that the timing for the campaign was chosen instead by whoever started #torstrike as a attempted coop of independent actions.</p>
<p><cite>&gt; Glad to hear that you have replaced the bridge, but I really think you guys should try to fix the community, too.</cite></p>
<p>Be the change you want to see in the world. ✊</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-204813"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204813" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 03, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to isis</p>
    <a href="#comment-204813">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204813" class="permalink" rel="bookmark">&gt; Lucky is a very private</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; Lucky is a very private person, and I do not have any further insight into his reasoning than that statement. I assume that if Lucky had wanted to say more, he would have done so.</p>
<p>I have no knowledge of this particular case, but just wanted to add:</p>
<p>1. Maintaining something critical for years can over time become extremely exhausting; it is not unusual for someone to simply feel that they have "burnt out" and that someone else should take over.</p>
<p>2. Often busy people with critical tech skills start a family or take a new job, which often leads them to decide that they need to devote to this endeavor the free time which they formerly spent doing something else such as helping Tor.</p>
<p>Handovers of something critical are always nerve wracking, but I have the impression that TP has, thank goodness, somehow mustered the time and energy to perform this one in good order, as noted spy chief Geo. Washington would say.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-204318"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204318" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 01, 2016</p>
    </div>
    <a href="#comment-204318">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204318" class="permalink" rel="bookmark">Your respect him so much you</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Your respect him so much you can't even state his reasons?<br />
Move along, nothing to see here.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-204762"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204762" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  isis
  </article>
    <div class="comment-header">
      <p class="comment__submitted">isis said:</p>
      <p class="date-time">September 03, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-204318" class="permalink" rel="bookmark">Your respect him so much you</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-204762">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204762" class="permalink" rel="bookmark">As stated above, Lucky has</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>As <a href="https://blog.torproject.org/blog/new-bridge-authority#comment-204760" rel="nofollow">stated above</a>, Lucky has made a statement regarding his reasons for leaving. I respect Lucky's right to privacy and ability to speak for himself, and as such I remain reticent to pry further.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-204345"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204345" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 01, 2016</p>
    </div>
    <a href="#comment-204345">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204345" class="permalink" rel="bookmark">Regretting my English,</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Regretting my English, mercy.<br />
The name, very much interesting. If not can allowed to say NSL been has received, then name product new version after backdoor instead say directly "we has letter deceived with gag order"; <a href="https://wikipedia.org/wiki/Bifrost_(trojan_horse)" rel="nofollow">https://wikipedia.org/wiki/Bifrost_(trojan_horse)</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-204737"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204737" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  isis
  </article>
    <div class="comment-header">
      <p class="comment__submitted">isis said:</p>
      <p class="date-time">September 03, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-204345" class="permalink" rel="bookmark">Regretting my English,</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-204737">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204737" class="permalink" rel="bookmark">HOW DID YOU KNOW THAT WE</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>HOW DID YOU KNOW THAT WE SEKRITLY NAMED BIFRÖST AFTER A WIN95 TROJAN</p>
<p><img src="https://people.torproject.org/~isis/pict/2016/TheWormsAreBack.png" /></p>
<p>And just so that you don't complain that I didn't answer the question: to pander to your paranoia, I've <a href="https://fyb.patternsinthevoid.net/canary.html" rel="nofollow">never received an NSL</a>.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-204519"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204519" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 02, 2016</p>
    </div>
    <a href="#comment-204519">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204519" class="permalink" rel="bookmark">Many thanks to Lucky Green</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Many thanks to Lucky Green for all his contributions, and also to Tor staff for their continuing work trying to get users safe!</p>
<p>As a regular user of Tor, I am confused concerning some essential points about this handover:</p>
<p>o what could go wrong for users if a bridge operator fails to patch to the new Bridge Authority?</p>
<p>o is it safe to continue to use a bridge I have been using recently to connect?</p>
<p>o is it safe to try to obtain new bridges from bridges.torproject.org?</p>
<p>It is very good that the transition is (yes?) being organized outside the US.</p>
<p>Erm... so can anyone state whether or not Tor Project has been served with an NSL?   If so, what information did the letter demand and what did the bad guys eventually receive?  Someone needs to directly challenge the Unconstitutional gag order which accompanies NSLs by calling a press conference (outside the US!) and revealing everything.  Your lawyers will surely give different advice, but I believe DOJ will find some face-saving excuse for backing down from trying to actually put anyone in prison for 65 years because they violated an illegal eternal gag order.</p>
<p>And, uhm, some uncomfortably contradictory advice: stay safe!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-204731"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204731" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  isis
  </article>
    <div class="comment-header">
      <p class="comment__submitted">isis said:</p>
      <p class="date-time">September 03, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-204519" class="permalink" rel="bookmark">Many thanks to Lucky Green</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-204731">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204731" class="permalink" rel="bookmark">Hey, and thanks!
&gt; what</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hey, and thanks!</p>
<p><cite>&gt; what could go wrong for users if a bridge operator fails to patch to the new Bridge Authority?</cite></p>
<p>Nothing will go wrong. However, that operator's bridges will stop being handed out to users. The reason is because, if the bridge is still reporting its descriptors to Tonga, and Tonga doesn't exist anymore, then there is no way for BridgeDB to receive the descriptors.</p>
<p><cite>&gt; is it safe to continue to use a bridge I have been using recently to connect?</cite></p>
<p>Yes, that is safe.</p>
<p><cite>&gt; is it safe to try to obtain new bridges from bridges.torproject.org?</cite></p>
<p>Yes, that is also safe.</p>
<p><cite>&gt; Erm... so can anyone state whether or not Tor Project has been served with an NSL?</cite></p>
<p>I personally maintain <a href="https://fyb.patternsinthevoid.net/canary.html" rel="nofollow">a warrant canary which covers this</a>. To my knowledge, The Tor Project has never received an NSL, and I certainly have never received one.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-204812"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204812" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 03, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-204731" class="permalink" rel="bookmark">Hey, and thanks!
&gt; what</a> by isis</p>
    <a href="#comment-204812">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204812" class="permalink" rel="bookmark">Thank you, thank you, Isis! </a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thank you, thank you, Isis!  This is all very good news, especially about the absence to date of an NSL, to your knowledge.  Possibly you wouldn't know, depending upon what information a hopefully hypothetical NSL demands.   But Shari would certainly know, so she would be the best person to address this question with a definitive unambiguous statement.</p>
<p>And please do talk to Shari about a warrant canary.  While we all agree, I guess, that this ploy is of limited utility and a royal pain to maintain (you can't ever forget to update it, or the userbase will scream in unnecessary anguish), and could even be exploited by the ingenious evildoers who are continually targeting us*, I think it has value in making it plain that TP is doing everything it can do be a harder target for NSLs.</p>
<p>Thanks again for the specific assurances about bridges.  (For the future, if I may: in general, after you write a post it is probably good to add a first paragraph for the unfortunately not-mythical Utterly Clueless newbie, a group which often turns out to include highly experienced regular users who may not be able to easily grasp the gist from a post aimed at a user subpopulation with specific technical knowledge.)</p>
<p>* I suppose you know that someone has apparently posted a fake GPG public key which allegedly belongs to you, and that someone (else?) recently posted in this blog a message encouraging someone (not further specified) to email you a warning that your own warrant canary had expired?  Didn't check that and am hip to the whole impersonation thing.  This particular incident could be nonmalicious, or a silly prank, but it is likely as I am sure you appreciate that US TLA's are planning something unpleasant for you, so please be cautious without letting paranoia become more of a danger to you than all those spooks. (Alas, we can only guess where to draw the line, of course, and our enemies keep moving the goalposts.)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-205260"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-205260" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 06, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-204812" class="permalink" rel="bookmark">Thank you, thank you, Isis! </a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-205260">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-205260" class="permalink" rel="bookmark">* I suppose you know that</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><cite><br />
* I suppose you know that someone has apparently posted a fake GPG public key which allegedly belongs to you, and that someone (else?) recently posted in this blog a message encouraging someone (not further specified) to email you a warning that your own warrant canary had expired? ... This particular incident could be nonmalicious, or a silly prank, ...<br />
</cite></p>
<p>Huh? If you're refering to the comment at <a href="https://blog.torproject.org/blog/tor-social-contract#comment-200469" rel="nofollow">https://blog.torproject.org/blog/tor-social-contract#comment-200469</a>, that was me! but I don't understand what I've done wrong warning about expiring canaries.</p>
<p>I also wrote <a href="https://blog.torproject.org/blog/tor-social-contract#comment-200478" rel="nofollow">https://blog.torproject.org/blog/tor-social-contract#comment-200478</a>.</p>
<p>I was trying to show that warrant canaries are fiddly to maintain, especially if they are to be more granular across time and people. In fact, Isis's canary <i>has</i> expired again:</p>
<p><div class="geshifilter"><pre class="php geshifilter-php" style="font-family:monospace;"><ol><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal"><span style="color: #339933;">&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">gpg<span style="color: #339933;">:</span> Signature made Mon <span style="color: #cc66cc;">22</span> Feb <span style="color: #cc66cc;">2016</span> <span style="color: #cc66cc;">12</span><span style="color: #339933;">:</span><span style="color: #cc66cc;">20</span><span style="color: #339933;">:</span><span style="color: #cc66cc;">43</span> UTC<span style="color: #339933;">&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">gpg<span style="color: #339933;">:</span>                using RSA <a href="http://www.php.net/key"><span style="color: #990000;">key</span></a> <span style="color: #208080;">0x3C9937F994616C82</span><span style="color: #339933;">&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">gpg<span style="color: #339933;">:</span> Expired signature from <span style="color: #0000ff;">&quot;Isis &lt;&lt;a href=&quot;</span>mailto<span style="color: #339933;">:</span>isis<span style="color: #339933;">@</span>torproject<span style="color: #339933;">.</span>org<span style="color: #0000ff;">&quot; rel=&quot;</span>nofollow<span style="color: #0000ff;">&quot;&gt;isis@torproject.org&lt;/a&gt;&gt;&quot;</span> <span style="color: #009900;">&#91;</span>unknown<span style="color: #009900;">&#93;</span><span style="color: #339933;">&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">gpg<span style="color: #339933;">:</span>                 aka <span style="color: #0000ff;">&quot;Isis! &lt;&lt;a href=&quot;</span>mailto<span style="color: #339933;">:</span>isis<span style="color: #339933;">@</span>riseup<span style="color: #339933;">.</span>net<span style="color: #0000ff;">&quot; rel=&quot;</span>nofollow<span style="color: #0000ff;">&quot;&gt;isis@riseup.net&lt;/a&gt;&gt;&quot;</span> <span style="color: #009900;">&#91;</span>unknown<span style="color: #009900;">&#93;</span><span style="color: #339933;">&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">gpg<span style="color: #339933;">:</span>                 aka <span style="color: #0000ff;">&quot;Isis! &lt;&lt;a href=&quot;</span>mailto<span style="color: #339933;">:</span>isis<span style="color: #339933;">@</span>patternsinthevoid<span style="color: #339933;">.</span>net<span style="color: #0000ff;">&quot; rel=&quot;</span>nofollow<span style="color: #0000ff;">&quot;&gt;isis@patternsinthevoid.net&lt;/a&gt;&gt;&quot;</span> <span style="color: #009900;">&#91;</span>unknown<span style="color: #009900;">&#93;</span><span style="color: #339933;">&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">gpg<span style="color: #339933;">:</span>                 aka <span style="color: #0000ff;">&quot;Isis &lt;&lt;a href=&quot;</span>mailto<span style="color: #339933;">:</span>isis<span style="color: #339933;">@</span>en<span style="color: #339933;">.</span>ciph<span style="color: #339933;">.</span>re<span style="color: #0000ff;">&quot; rel=&quot;</span>nofollow<span style="color: #0000ff;">&quot;&gt;isis@en.ciph.re&lt;/a&gt;&gt;&quot;</span> <span style="color: #009900;">&#91;</span>unknown<span style="color: #009900;">&#93;</span><span style="color: #339933;">&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">gpg<span style="color: #339933;">:</span> Signature policy<span style="color: #339933;">:</span> <span style="color: #339933;">&lt;</span>a href<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;https://blog.patternsinthevoid.net/policy.txt</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal"><span style="color: #0000ff;">gpg:&quot;</span> rel<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;nofollow&quot;</span><span style="color: #339933;">&gt;</span>https<span style="color: #339933;">:</span><span style="color: #666666; font-style: italic;">//blog.patternsinthevoid.net/policy.txt&lt;br /&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">gpg<span style="color: #339933;">:&lt;/</span>a<span style="color: #339933;">&gt;</span> Critical preferred keyserver<span style="color: #339933;">:</span> <span style="color: #339933;">&lt;</span>a href<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;https://blog.patternsinthevoid.net/isis.txt</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal"><span style="color: #0000ff;">gpg:&quot;</span> rel<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;nofollow&quot;</span><span style="color: #339933;">&gt;</span>https<span style="color: #339933;">:</span><span style="color: #666666; font-style: italic;">//blog.patternsinthevoid.net/isis.txt&lt;br /&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">gpg<span style="color: #339933;">:&lt;/</span>a<span style="color: #339933;">&gt;</span> WARNING<span style="color: #339933;">:</span> This <a href="http://www.php.net/key"><span style="color: #990000;">key</span></a> is not certified with a trusted signature<span style="color: #339933;">!&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">gpg<span style="color: #339933;">:</span>          There is no indication that the signature belongs to the owner<span style="color: #339933;">.&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">Primary <a href="http://www.php.net/key"><span style="color: #990000;">key</span></a> fingerprint<span style="color: #339933;">:</span> 0A6A 58A1 4B59 46AB DE18  E207 A3AD B67A 2CDB 8B35<span style="color: #339933;">&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">     Subkey fingerprint<span style="color: #339933;">:</span> BF8D 1B8E DEBD 985D B29A  8F94 3C99 37F9 <span style="color: #cc66cc;">9461</span> 6C82<span style="color: #339933;">&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">gpg<span style="color: #339933;">:</span> Signature expired Tue <span style="color: #cc66cc;">23</span> Aug <span style="color: #cc66cc;">2016</span> <span style="color: #cc66cc;">12</span><span style="color: #339933;">:</span><span style="color: #cc66cc;">20</span><span style="color: #339933;">:</span><span style="color: #cc66cc;">43</span> UTC<span style="color: #339933;">&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li></ol></pre></div></p>
<p>So, has Isis therefore received an NSL now? Unlikely. I remember Isis tweeting "I'm busy doing all the things!", which seems to be often the case for her. (Apologies to Isis for any undue fluster caused by me making this canary business so conspicuous.)</p>
<p>Further, are these NSLs as insidious as people might suggest? After looking at two example on the Wikipedia page (<a href="https://en.wikipedia.org/wiki/National_security_letter" rel="nofollow">https://en.wikipedia.org/wiki/National_security_letter</a>), I think not. First, the requests are limited to requests for data concerning computer records. Second, there is scope to challenge the NSL using lawyers. Third, there is scope to explain that the request is technically infeasible (which is what Tor design is about). This poster noticed this as well: <a href="https://blog.torproject.org/blog/tor-social-contract#comment-200595" rel="nofollow">https://blog.torproject.org/blog/tor-social-contract#comment-200595</a> (second paragraph).</p>
<p>My impression is that the threat NSLs pose to someone like Isis is to ones reputation as someone independent of government, or as someone who does not snitch to the government, rather than being required to backdoor Tor. </p>
<p>Also, if people are worried that NSLs will mutate into something so draconian as to do away with the above countermeasures and allow wider actions such as backdooring even an open source project, may I suggest that we could make the whole ÜberNSL scheme collapse if everyone sends out spoof NSLs everywhere so that no one can tell which are real and which are fake (which you can't do if you are required to keep absolute secrecy).</p>
<p>As for impersonated GPG keys, I read recently somewhere (was it a mail on <a href="https://lists.torproject.org" rel="nofollow">https://lists.torproject.org</a>?) that <i>all</i> Tor Project personnel have had their keys 'impersonated'. It's not true that the keys are compromised. What happened was that someone recently showed how you can generate millions of GPG key pairs and find ones with interesting last eight octets of the full key ID to look like cool nicknames (See: <a href="https://greysec.net/showthread.php?tid=1214" rel="nofollow">https://greysec.net/showthread.php?tid=1214</a>). If you compare that to the similar problem of the first seven or digits of onion addresses being easily collided with, one can see that this was inevitable. The only solution (in each case, PGP and onion sites) is: check the full ID.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-205170"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-205170" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 05, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-204731" class="permalink" rel="bookmark">Hey, and thanks!
&gt; what</a> by isis</p>
    <a href="#comment-205170">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-205170" class="permalink" rel="bookmark">I personally maintain a</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><cite>I personally maintain a warrant canary which covers this. To my knowledge, The Tor Project has never received an NSL, and I certainly have never received one.</cite></p>
<p>isis,</p>
<p>your canary is dead - signature expired a few days ago</p>
<p>hope you're OK. stay safe</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-204526"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204526" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 02, 2016</p>
    </div>
    <a href="#comment-204526">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204526" class="permalink" rel="bookmark">@ Isis:
Ugh, another</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>@ Isis:</p>
<p>Ugh, another important research topic which should be taken up by capable trusted people:</p>
<p>Power distribution "smart grids" being installed around the world (EU, FVEY countries, China, Russia, Ukraine, Pakistan, India, Morocco, Turkey, Brazil, Argentina, Korea...).  These systems are manufactured and sold (to national, regional, or municipal authorities) by companies such as</p>
<p>o Landis+Gyr (owned by Toshiba Group, the Japanese nuclear-energy defense giant)</p>
<p>o Sensus (owned by Xylem, a US multinational)</p>
<p>o Trilliant Networks (a US multinational)</p>
<p>o Elster</p>
<p>These systems use RF communications to send massive amounts of real-time data from "smart meters" and substation gear to central hubs, which can send commands back to substation gear and to individual smart meters, including commands to shut down a generator, to shut off power to particular buildings or to turn off particular streetlights, or simply to introduce voltage fluctuations on particular circuits.  </p>
<p>The makers insist the RF communications are "encrypted" and that control messages are "authenticated".  Alas, we know that simply encrypting communications does not suffice to protect a complicated web-acessible system, and that authentications can be spoofed.  But there is another danger: power distribution "smart grids" have a built-in communications backdoor, which is well documented in the manuals received by the customer countries but never discussed in public: a second communication modality called "power line carrier transmissions".  </p>
<p>Examples of how the bad guys abuse power line carrier transmissions:</p>
<p>o GCHQ uses them to exfiltrate information in cyberespionage campaigns,  </p>
<p>o some UPS's (uninterruptible power supplies used to protect servers from power surges) can allegedly be shut down remotely by malicious attackers, using power line carrier transmissions,</p>
<p>o USG special forces allegedly used power line carrier transmissions to maliciously shut off power in a particular neighborhood in order to cause a distraction during the bin Laden raid, without regard for the lives of people who depend upon reliable power for ventilators (for example),</p>
<p>o Russia bought from Elster the same system which had been bought by Ukraine, then allegedly used system manuals and reverse engineering to design the BlackEnergy malware employed to shut down power grids in Ukraine to cover the invasion of Crimea.</p>
<p>So the suggested research topic is to think about how power line carrier transmissions might be used to harm the Tor network, and how Tor can help advise power grid operators to protect against malicious cyberattacks by governments of US, Russia, etc.  </p>
<p>In the same vein, how can Tor Project encourage the development of new decentralized power and communication modes?  </p>
<p>Even as the bad guys bring up vulnerable smart grids, decentralized solar power is becoming available in some areas, and SDR technology is spreading too.  Perhaps if we are clever we can turn these developments to our advantage in terms of enabling citizens and preventing further authoritarian governmental oppression of political dissidents and further technologically enabled suppression of pro-democracy, social justice, and environmental movements.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-204557"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204557" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 02, 2016</p>
    </div>
    <a href="#comment-204557">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204557" class="permalink" rel="bookmark">&quot;The name was suggested by</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>"The name was suggested by both our colleagues Alison Macrina of the Library Freedom Project and Moritz Bartl of Torservers.net", please, we all know the name came to you and to those people after watching Thor and The Avengers and other Marvel movies, I doubt you guys are DC fans.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-204734"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204734" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  isis
  </article>
    <div class="comment-header">
      <p class="comment__submitted">isis said:</p>
      <p class="date-time">September 03, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-204557" class="permalink" rel="bookmark">&quot;The name was suggested by</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-204734">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204734" class="permalink" rel="bookmark">FUUUUUU HOW DID YOU KNOW I</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>FUUUUUU HOW DID YOU KNOW I AM A MARVEL NERD</p>
<p><img src="https://people.torproject.org/~isis/pict/2016/TheMightyThor.jpg" /></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-204676"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204676" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 03, 2016</p>
    </div>
    <a href="#comment-204676">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204676" class="permalink" rel="bookmark">&gt; it is extremely important</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; it is extremely important that relay operators running Bridges upgrade to tor-0.2.8.7</p>
<p>Then you might want to push that package to the CentOS / RHEL 6 and 7 repository you run.<br />
It's still on 0.2.7.6.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-204757"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204757" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  isis
  </article>
    <div class="comment-header">
      <p class="comment__submitted">isis said:</p>
      <p class="date-time">September 03, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-204676" class="permalink" rel="bookmark">&gt; it is extremely important</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-204757">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204757" class="permalink" rel="bookmark">The RHEL/Fedora packages are</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The RHEL/Fedora packages are unofficial; they are created by a volunteer. We do not provide official RPMs. Perhaps you might (kindly) ask the package maintainer for your distro to upgrade? Otherwise, the solution is to build tor yourself and <a href="https://fedoraproject.org/wiki/How_to_create_an_RPM_package" rel="nofollow">package it</a> via <span class="geshifilter"><code class="php geshifilter-php">rpmbuild</code></span>.</p>
<p>It would be really great if someone took up the responsibility of providing well-maintained RPMs for The Tor Project!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-204922"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204922" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 04, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to isis</p>
    <a href="#comment-204922">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204922" class="permalink" rel="bookmark">When did that happen?
To</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>When did that happen?<br />
To clarify, I'm talking about this repository: <a href="https://deb.torproject.org/torproject.org/rpm/el/7/x86_64/" rel="nofollow">https://deb.torproject.org/torproject.org/rpm/el/7/x86_64/</a><br />
Not the packages distributed via EPEL.</p>
<p><a href="https://www.torproject.org/download/download-unix.html.en" rel="nofollow">https://www.torproject.org/download/download-unix.html.en</a> doesn't mention that the packages are unofficial.</p>
<p><a href="https://www.torproject.org/docs/tor-doc-unix.html.en" rel="nofollow">https://www.torproject.org/docs/tor-doc-unix.html.en</a> still states:<br />
"Similarly, CentOS / Fedora users should use our rpm repository instead."<br />
"Our rpm repository" implied to me that those are official packages, I did not read anywhere that those packages are unofficial / unsupported whatsoever.<br />
I'm not sure I would have used those if I had known that they are not official packages for such a critical piece of software to be honest!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-212191"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-212191" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 04, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to isis</p>
    <a href="#comment-212191">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-212191" class="permalink" rel="bookmark">deb.torproject is Tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>deb.torproject is Tor project's domain<br />
a volunteer is packaging Tor and uploading it to your domain and nobody can vouch for it?!<br />
so can a PRC hacker also volunteer to upload custom rpms?!</p>
<p>Toruser50</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-204799"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204799" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 03, 2016</p>
    </div>
    <a href="#comment-204799">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204799" class="permalink" rel="bookmark">For bridge operators who are</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>For bridge operators who are still running older Tor versions (for whatever reason), is it possible to switch over by specifying an "AlternateBridgeAuthority" in the torrc file?  If so, what should that line look like?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-205232"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-205232" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 06, 2016</p>
    </div>
    <a href="#comment-205232">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-205232" class="permalink" rel="bookmark">Hey guys,
Wondering if</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hey guys,</p>
<p>Wondering if someone more familiar with Tor operation would be willing to clarify this, as I haven't found any serious analysis of the topic. </p>
<p>What would be the impact on the Tor network of a potential compromise of this machine (the Bridge Authority)? Sounds like a central point of failure, but the exact nature of the failure is not very clear to me.<br />
Put it another way, if an adversary had root on the machine, what would be some of the bad things that could ensue?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-209086"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-209086" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 21, 2016</p>
    </div>
    <a href="#comment-209086">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-209086" class="permalink" rel="bookmark">I got Orbot on my kindle</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I got Orbot on my kindle fire, but idk what to do now??</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
